log4shib 2.0.0

Static Public Member Functions | List of all members
log4shib::SimpleConfigurator Class Reference

This class implements a simple Configurator for log4shib. More...

`#include <SimpleConfigurator.hh>`

## Static Public Member Functions
static void | configure (const std::string &initFileName) throw (ConfigureFailure)
| Configure log4shib with the configuration in the given file. More...
static void | configure (std::istream &initFile) throw (ConfigureFailure)
| Configure log4shib with the configuration in the given file. More...

## Detailed Description

This class implements a simple Configurator for log4shib.

It is a temporary hack with an undocumented configuration format.

Deprecated:
  As of version 0.3.2 log4shib includes a log4j format compatible PropertyConfigurator, removing the need for SimpleConfigurator. This class will be removed in 0.4.0.

## Member Function Documentation

## ◆ configure() [1/2]

void log4shib::SimpleConfigurator::configure | ( | const std::string & | initFileName | ) |
throw | ( | ConfigureFailure
| ) |  |
| static

Configure log4shib with the configuration in the given file.

NB. The configuration file format is undocumented and may change without notice.

Since
  0.2.6

Parameters

  initFileName | name of the configuration file

Exceptions

  ConfigureFailure | if the method encountered a read or syntax error.

## ◆ configure() [2/2]

void log4shib::SimpleConfigurator::configure | ( | std::istream & | initFile | ) |
throw | ( | ConfigureFailure
| ) |  |
| static

Configure log4shib with the configuration in the given file.

NB. The configuration file format is undocumented and may change without notice.

Since
  0.3.1

Parameters

  initFile | an input stream to the configuration file

Exceptions

  ConfigureFailure | if the method encountered a read or syntax error.

The documentation for this class was generated from the following files:

- SimpleConfigurator.hh
- SimpleConfigurator.cpp